### Class

# Gimp Metadata

#### Description [src]

    final class Gimp.Metadata : GObject.Object {
      /* No available fields */
    }

Basic functions for handling `GimpMetadata` objects.

#### Ancestors

- GObject

#### Constructors

###### gimp_metadata_new

Creates a new `GimpMetadata` instance.

Available since: 2.10

#### Functions

###### gimp_metadata_deserialize

Deserializes a string of XML that has been created by gimp_metadata_serialize().

Available since: 2.10

###### gimp_metadata_get_guid

Generate Version 4 UUID/GUID.

Available since: 2.10

###### gimp_metadata_is_tag_supported

Returns whether `tag` is supported in a file of type `mime_type`.

Available since: 2.10

###### gimp_metadata_load_from_file

Loads `GimpMetadata` from `file`.

Available since: 2.10

#### Instance methods

###### gimp_metadata_add_xmp_history

No description available.

###### gimp_metadata_duplicate

Duplicates a `GimpMetadata` instance.

Available since: 2.10

###### gimp_metadata_get_colorspace

Returns values based on Exif.Photo.ColorSpace, Xmp.exif.ColorSpace, Exif.Iop.InteroperabilityIndex, Exif.Nikon3.ColorSpace, Exif.Canon.ColorSpace of `metadata`.

Available since: 2.10

###### gimp_metadata_get_resolution

Returns values based on Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of `metadata`.

Available since: 2.10

###### gimp_metadata_save_to_file

Saves `metadata` to `file`.

Available since: 2.10

###### gimp_metadata_serialize

Serializes `metadata` into an XML string that can later be deserialized using gimp_metadata_deserialize().

Available since: 2.10

###### gimp_metadata_set_bits_per_sample

Sets Exif.Image.BitsPerSample on `metadata`.

Available since: 2.10

###### gimp_metadata_set_colorspace

Sets Exif.Photo.ColorSpace, Xmp.exif.ColorSpace, Exif.Iop.InteroperabilityIndex, Exif.Nikon3.ColorSpace, Exif.Canon.ColorSpace of `metadata`.

Available since: 2.10

###### gimp_metadata_set_from_exif

Sets the tags from a piece of Exif data on `metadata`.

Available since: 2.10

###### gimp_metadata_set_from_iptc

Sets the tags from a piece of IPTC data on `metadata`.

Available since: 2.10

###### gimp_metadata_set_from_xmp

Sets the tags from a piece of XMP data on `metadata`.

Available since: 2.10

###### gimp_metadata_set_pixel_size

Sets Exif.Image.ImageWidth and Exif.Image.ImageLength on `metadata`.

Available since: 2.10

###### gimp_metadata_set_resolution

Sets Exif.Image.XResolution, Exif.Image.YResolution and Exif.Image.ResolutionUnit of `metadata`.

Available since: 2.10

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.